{ inputs, ... }:

{
  imports = [
    ./vm-base.nix
    ../nix-os/desktopManagers/cosmic.nix
    ../nix-os/displayManagers/cosmic-greeter.nix
  ];

  config = {
    nixpkgs.overlays = [(import ../pkgs/overlays/cosmic-packages.nix { inherit inputs; })];
    nix.settings = {
      substituters = [ "https://cosmic.cachix.org/" ];
      trusted-public-keys = [ "cosmic.cachix.org-1:Dya9IyXD4xdBehWjrkPv6rtxpmMdRel02smYzA85dPE=" ];
    };
  };
}
