{pkgs, ... }:

{
  imports = [
    ../dconf-common.nix
  ];
  config = {
    services.xserver.displayManager.gdm = {
      enable = true;
      autoSuspend = false;
    };

    proot.dconf.profiles.gdm.rulesToApply = [
      "org/gnome/desktop/interface"
      "org/gnome/desktop/peripherals/mouse"
      "org/gnome/desktop/sound"
      "org/gnome/settings-daemon/plugins/power"
      "org/gnome/shell/keybindings"
    ];

    environment.systemPackages = with pkgs; [
      google-cursor
    ];
  };
}
