{ pkgs, ... }:

{
  config = {
    # Use pcscd for smartcard support
    services.pcscd.enable = true;

    environment.systemPackages = [(
      pkgs.gnupg.overrideAttrs (superAttrs: {
        configureFlags = superAttrs.configureFlags or []
          ++ [ "--disable-ccid-driver" ];
      })
    )];
  };
}
